Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSphere Class Reference

`#include <vtkSphere.h>`

Inheritance diagram for vtkSphere:

[legend]
Collaboration diagram for vtkSphere:

[legend]
List of all members.

## Detailed Description

implicit function for a sphere

Date:
  2002/01/22 15:28:12

Revision:
  1.36

vtkSphere computes the implicit function and/or gradient for a sphere. vtkSphere is a concrete implementation of vtkImplicitFunction.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (80%)
  - Martin, Ken (12%)
  - Kelly, Ann (7%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkSphere.h)`
  - .`cxx` (`/Filtering/vtkSphere.cxx)`

Examples:
  vtkSphere (Examples)

Tests:
  vtkSphere (Tests)

Definition at line 49 of file vtkSphere.h.

## Public Types
typedef vtkImplicitFunction | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | EvaluateGradient (float x[3], float n[3])
float | EvaluateFunction (float x[3])
float | EvaluateFunction (float x, float y, float z)
virtual void | SetRadius (float)
virtual float | GetRadius ()
virtual void | SetCenter (float, float, float)
virtual void | SetCenter (float[3])
virtual float * | GetCenter ()
virtual void | GetCenter (float data[3])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkSphere * | SafeDownCast (vtkObject *o)
vtkSphere * | New ()
## Protected Methods
| vtkSphere ()
| ~vtkSphere ()
## Protected Attributes
float | Radius
float | Center [3]

## Member Typedef Documentation

typedef vtkImplicitFunction vtkSphere::Superclass

| Reimplemented from vtkImplicitFunction. Definition at line 52 of file vtkSphere.h.

## Constructor & Destructor Documentation

vtkSphere::vtkSphere | ( |  | ) | `[protected]`

vtkSphere::~vtkSphere | ( |  | ) | `[inline, protected]`

| Definition at line 82 of file vtkSphere.h.

## Member Function Documentation

virtual const char* vtkSphere::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImplicitFunction.

int vtkSphere::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImplicitFunction.

virtual int vtkSphere::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImplicitFunction.

vtkSphere* vtkSphere::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImplicitFunction.

void vtkSphere::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImplicitFunction.

vtkSphere* vtkSphere::New | ( |  | ) | `[static]`

| Construct sphere with center at (0,0,0) and radius=0.5. Reimplemented from vtkObject.

float vtkSphere::EvaluateFunction | ( | float | x[3] | ) | `[virtual]`

| Evaluate sphere equation ((x-x0)^2 + (y-y0)^2 + (z-z0)^2) - R^2. Implements vtkImplicitFunction.

float vtkSphere::EvaluateFunction | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

| Evaluate sphere equation ((x-x0)^2 + (y-y0)^2 + (z-z0)^2) - R^2. Reimplemented from vtkImplicitFunction. Definition at line 61 of file vtkSphere.h. References vtkImplicitFunction::EvaluateFunction().

void vtkSphere::EvaluateGradient | ( | float | x[3],
|  | float | n[3]
| ) | `[virtual]`

| Evaluate sphere gradient. Implements vtkImplicitFunction.

virtual void vtkSphere::SetRadius | ( | float |  | ) | `[virtual]`

| Set / get the radius of the sphere.

virtual float vtkSphere::GetRadius | ( |  | ) | `[virtual]`

| Set / get the radius of the sphere.

virtual void vtkSphere::SetCenter | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set / get the center of the sphere.

virtual void vtkSphere::SetCenter | ( | float | [3] | ) | `[virtual]`

| Set / get the center of the sphere.

virtual float* vtkSphere::GetCenter | ( |  | ) | `[virtual]`

| Set / get the center of the sphere.

virtual void vtkSphere::GetCenter | ( | float | data[3] | ) | `[virtual]`

| Set / get the center of the sphere.

## Member Data Documentation

float vtkSphere::Radius`[protected]`

| Definition at line 84 of file vtkSphere.h.

float vtkSphere::Center[3]`[protected]`

| Definition at line 85 of file vtkSphere.h.

The documentation for this class was generated from the following file:

- Filtering/vtkSphere.h